[SA18271] B-net Software Script Insertion Vulnerabilities

2006-01-03T00:00:00
ID SECURITYVULNS:DOC:10881
Type securityvulns
Reporter Securityvulns
Modified 2006-01-03T00:00:00

Description

TITLE: B-net Software Script Insertion Vulnerabilities

SECUNIA ADVISORY ID: SA18271

VERIFY ADVISORY: http://secunia.com/advisories/18271/

CRITICAL: Moderately critical

IMPACT: Cross Site Scripting

WHERE: >From remote

SOFTWARE: B-net Software 1.x http://secunia.com/product/6733/

DESCRIPTION: Aliaksandr Hartsuyeu has discovered some vulnerabilities in B-net Software, which can be exploited by malicious people to conduct script insertion attacks.

Input passed to various fields when signing the guestbook and sending a message via the "Shoutbox" isn't properly sanitised before being used. This can be exploited to inject arbitrary HTML and script code, which will be executed in a user's browser session in context of an affected site when the malicious user data is viewed.

The vulnerabilities have been confirmed in version 1.0. Other versions may also be affected.

SOLUTION: Edit the source code to ensure that input is properly sanitised.

PROVIDED AND/OR DISCOVERED BY: Aliaksandr Hartsuyeu

ORIGINAL ADVISORY: http://evuln.com/vulns/10/summary.html


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.